libetonyek::IWORKTokenizerBase Class Referenceabstract

`#include <IWORKTokenizerBase.h>`

Inheritance diagram for libetonyek::IWORKTokenizerBase:

## Public Member Functions
int | getId (const char *name) const override
int | getQualifiedId (const char *name, const char *ns) const override
Public Member Functions inherited from libetonyek::IWORKTokenizer
virtual | ~IWORKTokenizer ()=0

## Private Member Functions
virtual int | queryId (const char *name) const =0
| Try to get an ID for token `name`.

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKTokenizer
| IWORKTokenizer ()

## Member Function Documentation

## ◆ getId()

int libetonyek::IWORKTokenizerBase::getId | ( | const char * | name | ) | const
| override virtual

Implements libetonyek::IWORKTokenizer.

Referenced by getQualifiedId().

## ◆ getQualifiedId()

int libetonyek::IWORKTokenizerBase::getQualifiedId | ( | const char * | name,
|  | const char * | ns ) const
| override virtual

Implements libetonyek::IWORKTokenizer.

## ◆ queryId()

virtual int libetonyek::IWORKTokenizerBase::queryId | ( | const char * | name | ) | const
| private pure virtual

Try to get an ID for token `name`.

- [in] name The token name. It is never empty or null.

Returns
  The ID of the token or 0.

Referenced by getId(), and getQualifiedId().

The documentation for this class was generated from the following files:

- IWORKTokenizerBase.h
- IWORKTokenizerBase.cpp